import {Component, OnInit} from '@angular/core';
import {PersonModel} from '../../models';
import {PersonService} from '../../services';

@Component({
  selector: 'app-page-trombinoscope',
  templateUrl: './page-trombinoscope.component.html',
  styleUrls: ['./page-trombinoscope.component.scss']
})
export class PageTrombinoscopeComponent implements OnInit {
  persons: PersonModel[];
  searchField: string;

  constructor(private personService: PersonService) {
  }

  async ngOnInit() {
    try {
      this.persons = await this.personService.getPersons();
    } catch (err) {
      alert('Erreur lors de la récupèration du trombinoscope');
    }
  }
}
