import {Pipe, PipeTransform} from '@angular/core';
import {PersonModel} from '../models';

@Pipe({name: 'searchPerson'})
export class SearchPersonPipe implements PipeTransform {
  transform(value: PersonModel[], search: string): PersonModel[] {
    if (!search || search.length === 0) {
      return value;
    }

    return value.filter((item: PersonModel): boolean => {
      return item.fullName.toLowerCase().includes(search.toLowerCase());
    });
  }
}
